2019-10-14 13:08 EDT


View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0003055FSSCPgameplaypublic2014-07-11 22:02
Reporterniffiwan 
Assigned ToGoober5000 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.7.2 RC3 
Target Version3.7.2Fixed in Version3.7.2 
Summary0003055: Redalert changes cause navbuoys to not appear in Derelict mission 5
DescriptionPer discussion in the Derelict 3.7.0 release thread:
http://www.hard-light.net/forums/index.php?topic=85745.msg1752094#msg1752094

From Goober5000:
<quote>
That is precisely it. You've found the problem. Since red-alert now applies to ships which arrive later in the mission, the navbuoys are susceptible to red-alert whereas they were not before.

Do earlier versions of Derelict (including the retail one) have the red-alert-carry flag?

(answer, yes they do)
</quote>

While this can be fixed in the mission, it may affect other missions.
Steps To ReproducePlay Derelict mission 5 as part of the campaign, not from the techroom. The navbuoys never appear.
Additional InformationMay have been introduced by this commit: r10267 (have not tested backing this out to confirm)
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0015843

Goober5000 (administrator)

I'll fix this.

~0016032

Goober5000 (administrator)

Committed to SVN, as I've verified the fix on my own missions. Niffiwan, could you test this on the Derelict campaign?

~0016064

niffiwan (developer)

I've run some tests with the older version of Derelict and its working as expected.

Without r10895: nav buoys don't appear
With r10895: nav buoys present
With r10895 and "$Red-alert applies to delayed ships: yes": nav buoys don't appear

~0016066

Goober5000 (administrator)

Excellent. :) Resolving ticket.
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2014-06-10 23:37 niffiwan New Issue
2014-06-12 01:04 Goober5000 Assigned To => Goober5000
2014-06-12 01:04 Goober5000 Status new => assigned
2014-06-12 01:04 Goober5000 Note Added: 0015843
2014-07-07 02:08 Goober5000 Changeset attached => fs2open trunk r10895
2014-07-07 02:09 Goober5000 Note Added: 0016032
2014-07-07 02:09 Goober5000 Status assigned => feedback
2014-07-11 04:25 niffiwan Note Added: 0016064
2014-07-11 04:25 niffiwan Status feedback => assigned
2014-07-11 22:02 Goober5000 Note Added: 0016066
2014-07-11 22:02 Goober5000 Status assigned => resolved
2014-07-11 22:02 Goober5000 Resolution open => fixed
2014-07-11 22:02 Goober5000 Fixed in Version => 3.7.2
+Issue History